// life.C Version 7.40  Copyleft (c) 杉本典夫
// Time-stamp: <2022-12-15 15:56:20 tac>
//
// 生命表クラスのメンバー関数
//
// ライブラリ:libdans.so.7.4
// コンパイル法:g++ -O -fPIC -c life.C

#include <dans.H>               // dans用ヘッダファイル(mat30.H含む)

using namespace dans;           // dans名前空間使用(名前空間matvec含む)

const life& life::operator=(const life& life0) // コピー代入演算子
{
  if (&life0 == this) return *this; // 自分自身への代入を防ぐ
  vcno = life0.vcno;  vcode = life0.vcode;  vcidx = life0.vcidx;
  vt = life0.vt;  voc = life0.voc;  vs = life0.vs;
  return *this;                 // 自分自身への参照を返す
}

bool life::operator<(const life& life0) const // 比較演算子
{
  if (vt < life0.vt) return true;
  if (vt > life0.vt) return false;
  return (voc < life0.voc);
}

const lifem& lifem::operator=(const lifem& life0) // コピー代入演算子
{
  if (&life0 == this) return *this; // 自分自身への代入を防ぐ
  vcno = life0.vcno;  vcode = life0.vcode;  vcidx = life0.vcidx;
  vt = life0.vt;  voc = life0.voc;  vs = life0.vs;
  vxvec = life0.vxvec;
  return *this;                 // 自分自身への参照を返す
}
